# Sample install script
# This is a simplified example, which does not do synchronization and other operations that may be needed.
# The administration module must be loaded for this script to run.
$appVersion="7.4.2500.5"
$instance="BC250"
function InstallApplication($path, $name, $version)
{
    Write-Host "-- $name --" -ForegroundColor Cyan
    Publish-NAVApp -ServerInstance $instance -SkipVerification -Path $path -ErrorAction Continue
    Sync-NAVApp -ServerInstance $instance -Name $name -Version $version -Mode Add -Force -ErrorAction Continue
    Start-NAVAppDataUpgrade -ServerInstance $instance -Name $name -Version $version -ErrorAction SilentlyContinue
    Install-NAVApp -ServerInstance $instance -Name $name -Version $version -ErrorAction Continue

    $appinfo = Get-NAVAppInfo -Tenant Default -ServerInstance $instance -Name $name -Version $version -TenantSpecificProperties
    if ($appinfo.IsInstalled)
    {
        Write-Host "Success"
    }
    else
    {
        Write-Host "Error installing app" -ForegroundColor Red
    }
}
InstallApplication "$PSScriptRoot\ForNAV Language Module $appVersion.app" "ForNAV Language Module" $appversion
InstallApplication "$PSScriptRoot\ForNAV Core $appVersion.app" "ForNAV Core" $appversion
InstallApplication "$PSScriptRoot\ForNAV Customizable Report Pack $appVersion.app" "Customizable Report Pack" $appVersion
InstallApplication "$PSScriptRoot\ForNAV Service (web service) $appVersion.app" "ForNAV Service" $appVersion
# The E-invoicing application was named ZUGFeRD in previous releases
#InstallApplication "$PSScriptRoot\ForNAV E-invoicing $appVersion.app" "ForNAV E-invoicing" $appVersion
Write-Host "You can ignore the warning about the ForNAV Service application being built for a different version." -ForegroundColor Green

